Bug 198979 - Allow CMake to build WebCore on Mac
Summary: Allow CMake to build WebCore on Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-18 15:51 PDT by Alex Christensen
Modified: 2019-07-29 18:32 PDT (History)
7 users (show)

See Also:


Attachments
Patch (7.01 KB, patch)
2019-06-18 15:52 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (102.14 KB, patch)
2019-06-20 19:15 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (9.89 KB, patch)
2019-07-09 15:24 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
patch (9.19 KB, patch)
2019-07-09 18:19 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2019-06-18 15:51:41 PDT
Allow CMake to build WebCore on Mac
Comment 1 Alex Christensen 2019-06-18 15:52:07 PDT
Created attachment 372396 [details]
Patch
Comment 2 Build Bot 2019-06-18 15:55:29 PDT
Attachment 372396 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ios/WebItemProviderPasteboard.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Alex Christensen 2019-06-20 19:15:00 PDT
Created attachment 372610 [details]
Patch
Comment 4 Build Bot 2019-06-20 19:17:27 PDT
Attachment 372610 [details] did not pass style-queue:

ERROR: Source/WebCore/platform/ios/WebItemProviderPasteboard.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
ERROR: Source/WebKitLegacy/mac/DOM/DOMHTMLObjectElement.mm:28:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMHTMLObjectElement.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebDataSource.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebDataSource.mm:50:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebDataSource.mm:75:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrame.mm:40:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrame.mm:64:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DefaultDelegates/WebDefaultPolicyDelegate.m:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DefaultDelegates/WebDefaultPolicyDelegate.m:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMMediaError.mm:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebPDFView.mm:51:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebNetscapePluginView.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebNetscapePluginView.mm:52:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebPDFRepresentation.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebPDFRepresentation.mm:38:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebChromeClient.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebChromeClient.mm:56:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMHTMLAnchorElement.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebViewInternal.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebJSPDFDoc.mm:28:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebJSPDFDoc.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebBasePluginPackage.mm:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebIndicateLayer.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebIndicateLayer.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMStyleSheetList.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMStyleSheetList.mm:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMTimeRanges.mm:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMTimeRanges.mm:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebHTMLView.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebHTMLView.mm:74:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebProgressTrackerClient.mm:28:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Misc/WebCache.mm:27:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Misc/WebCache.mm:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebInspectorClient.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebInspectorClient.mm:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DefaultDelegates/WebDefaultContextMenuDelegate.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DefaultDelegates/WebDefaultContextMenuDelegate.mm:45:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:119:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:259:  "WebKitLegacy/WebPDFView.h" already included at Source/WebKitLegacy/mac/WebView/WebView.mm:96  [build/include] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:261:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMMouseEvent.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm:29:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMObject.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMObject.mm:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebContextMenuClient.mm:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebContextMenuClient.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/WebDOMOperations.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/WebDOMOperations.mm:41:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Misc/WebSharingServicePickerController.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebFrameLoaderClient.mm:40:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebFrameLoaderClient.mm:86:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebInspector/WebNodeHighlight.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebInspector/WebNodeHighlight.mm:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebPluginController.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebPluginController.mm:49:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebPluginContainerCheck.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebPluginContainerCheck.mm:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/History/WebBackForwardList.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/History/WebBackForwardList.mm:41:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMStyleSheet.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMStyleSheet.mm:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrameView.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrameView.mm:40:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrameView.mm:52:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMNodeIterator.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMNodeIterator.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/WebPluginDatabase.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMMediaList.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/NetscapePluginInstanceProxy.mm:29:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Plugins/Hosted/NetscapePluginInstanceProxy.mm:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:298:  Alphabetical sorting problem. "Storage/StorageAreaImpl.h" should be before "Storage/StorageSyncManager.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:300:  Alphabetical sorting problem. "Storage/StorageThread.h" should be before "Storage/StorageTrackerClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:301:  Alphabetical sorting problem. "Storage/StorageNamespaceImpl.h" should be before "Storage/StorageThread.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:304:  Alphabetical sorting problem. "Storage/WebDatabaseProvider.h" should be before "Storage/WebStorageNamespaceProvider.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:307:  Alphabetical sorting problem. "WebCoreSupport/WebResourceLoadScheduler.h" should be before "WebCoreSupport/WebViewGroup.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:308:  Alphabetical sorting problem. "WebCoreSupport/PingHandle.h" should be before "WebCoreSupport/WebResourceLoadScheduler.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:309:  Alphabetical sorting problem. "WebCoreSupport/NetworkStorageSessionMap.h" should be before "WebCoreSupport/PingHandle.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:315:  Alphabetical sorting problem. "mac/DOM/DOMHTMLBaseFontElement.h" should be before "mac/DOM/DOMHTMLHeadingElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:316:  Alphabetical sorting problem. "mac/DOM/DOMCSSUnknownRule.h" should be before "mac/DOM/DOMHTMLBaseFontElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:321:  Alphabetical sorting problem. "mac/DOM/DOMHTMLHeadElement.h" should be before "mac/DOM/DOMXPathExpressionInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:323:  Alphabetical sorting problem. "mac/DOM/DOMCSSStyleRule.h" should be before "mac/DOM/DOMImplementation.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:324:  Alphabetical sorting problem. "mac/DOM/DOMCSSRule.h" should be before "mac/DOM/DOMCSSStyleRule.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:328:  Alphabetical sorting problem. "mac/DOM/DOMElement.h" should be before "mac/DOM/DOMMouseEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:330:  Alphabetical sorting problem. "mac/DOM/DOMHTMLMapElement.h" should be before "mac/DOM/DOMMediaListInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:331:  Alphabetical sorting problem. "mac/DOM/DOMCSSRuleInternal.h" should be before "mac/DOM/DOMHTMLMapElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:333:  Alphabetical sorting problem. "mac/DOM/DOMCSSRuleListInternal.h" should be before "mac/DOM/DOMMediaList.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:336:  Alphabetical sorting problem. "mac/DOM/DOMNodePrivate.h" should be before "mac/DOM/WebDOMOperations.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:337:  Alphabetical sorting problem. "mac/DOM/DOMHTMLParagraphElement.h" should be before "mac/DOM/DOMNodePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:338:  Alphabetical sorting problem. "mac/DOM/DOMHTMLFormElementInternal.h" should be before "mac/DOM/DOMHTMLParagraphElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:340:  Alphabetical sorting problem. "mac/DOM/DOMDocumentFragmentInternal.h" should be before "mac/DOM/DOMProgressEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:343:  Alphabetical sorting problem. "mac/DOM/DOMDocumentFragmentPrivate.h" should be before "mac/DOM/DOMProcessingInstructionInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:345:  Alphabetical sorting problem. "mac/DOM/DOMRangeException.h" should be before "mac/DOM/DOMRangeInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:346:  Alphabetical sorting problem. "mac/DOM/DOMCSSCharsetRule.h" should be before "mac/DOM/DOMRangeException.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:350:  Alphabetical sorting problem. "mac/DOM/DOMCSSStyleDeclarationInternal.h" should be before "mac/DOM/DOMViews.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:351:  Alphabetical sorting problem. "mac/DOM/DOMCSSPrimitiveValue.h" should be before "mac/DOM/DOMCSSStyleDeclarationInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:352:  Alphabetical sorting problem. "mac/DOM/DOMCSSMediaRule.h" should be before "mac/DOM/DOMCSSPrimitiveValue.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:354:  Alphabetical sorting problem. "mac/DOM/DOMBlobInternal.h" should be before "mac/DOM/DOMHTMLLegendElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:358:  Alphabetical sorting problem. "mac/DOM/DOMHTMLCollectionInternal.h" should be before "mac/DOM/ObjCNodeFilterCondition.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:360:  Alphabetical sorting problem. "mac/DOM/DOMCSSRuleList.h" should be before "mac/DOM/DOMRect.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:363:  Alphabetical sorting problem. "mac/DOM/DOMFileList.h" should be before "mac/DOM/DOMHTMLUListElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:365:  Alphabetical sorting problem. "mac/DOM/DOMHTMLTableCellElement.h" should be before "mac/DOM/DOMTraversal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:366:  Alphabetical sorting problem. "mac/DOM/DOMHTMLDirectoryElement.h" should be before "mac/DOM/DOMHTMLTableCellElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:368:  Alphabetical sorting problem. "mac/DOM/DOMExtensions.h" should be before "mac/DOM/DOMNodeListInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:370:  Alphabetical sorting problem. "mac/DOM/DOMCDATASectionInternal.h" should be before "mac/DOM/DOMHTMLParamElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:373:  Alphabetical sorting problem. "mac/DOM/DOMHTMLOptionElementInternal.h" should be before "mac/DOM/DOMRanges.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:375:  Alphabetical sorting problem. "mac/DOM/DOMHTMLTitleElement.h" should be before "mac/DOM/DOMXPathResultInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:376:  Alphabetical sorting problem. "mac/DOM/DOMHTMLTextAreaElementInternal.h" should be before "mac/DOM/DOMHTMLTitleElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:377:  Alphabetical sorting problem. "mac/DOM/DOMDocumentTypeInternal.h" should be before "mac/DOM/DOMHTMLTextAreaElementInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:378:  Alphabetical sorting problem. "mac/DOM/DOMCSSPageRule.h" should be before "mac/DOM/DOMDocumentTypeInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:380:  Alphabetical sorting problem. "mac/DOM/DOMEventException.h" should be before "mac/DOM/DOMMutationEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:382:  Alphabetical sorting problem. "mac/DOM/DOMNamedNodeMapInternal.h" should be before "mac/DOM/DOMTimeRangesInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:385:  Alphabetical sorting problem. "mac/DOM/DOMFileInternal.h" should be before "mac/DOM/DOMXPathResult.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:386:  Alphabetical sorting problem. "mac/DOM/DOMCSS.h" should be before "mac/DOM/DOMFileInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:388:  Alphabetical sorting problem. "mac/DOM/DOMCSSFontFaceRule.h" should be before "mac/DOM/DOMHTMLTableSectionElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:390:  Alphabetical sorting problem. "mac/DOM/DOMInternal.h" should be before "mac/DOM/DOMStyleSheet.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:392:  Alphabetical sorting problem. "mac/DOM/DOMCounterInternal.h" should be before "mac/DOM/DOMNodeIterator.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:393:  Alphabetical sorting problem. "mac/DOM/DOM.h" should be before "mac/DOM/DOMCounterInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:396:  Alphabetical sorting problem. "mac/DOM/DOMHTMLMenuElement.h" should be before "mac/DOM/DOMTokenList.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:397:  Alphabetical sorting problem. "mac/DOM/DOMCSSStyleSheetInternal.h" should be before "mac/DOM/DOMHTMLMenuElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:399:  Alphabetical sorting problem. "mac/DOM/DOMHTMLStyleElementInternal.h" should be before "mac/DOM/DOMNodeList.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:401:  Alphabetical sorting problem. "mac/DOM/DOMWheelEventInternal.h" should be before "mac/DOM/DOMXPath.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:402:  Alphabetical sorting problem. "mac/DOM/DOMHTMLBodyElement.h" should be before "mac/DOM/DOMWheelEventInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:403:  Alphabetical sorting problem. "mac/DOM/DOMCSSValueList.h" should be before "mac/DOM/DOMHTMLBodyElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:407:  Alphabetical sorting problem. "mac/DOM/DOMHTMLObjectElement.h" should be before "mac/DOM/DOMStyleSheetList.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:408:  Alphabetical sorting problem. "mac/DOM/DOMHTMLLinkElement.h" should be before "mac/DOM/DOMHTMLObjectElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:409:  Alphabetical sorting problem. "mac/DOM/DOMHTMLLIElement.h" should be before "mac/DOM/DOMHTMLLinkElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:411:  Alphabetical sorting problem. "mac/DOM/DOMCDATASection.h" should be before "mac/DOM/DOMHTMLTableRowElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:412:  Alphabetical sorting problem. "mac/DOM/DOMAbstractView.h" should be before "mac/DOM/DOMCDATASection.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:414:  Alphabetical sorting problem. "mac/DOM/DOMHTMLCanvasElement.h" should be before "mac/DOM/DOMHTMLSelectElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:416:  Alphabetical sorting problem. "mac/DOM/DOMTreeWalkerInternal.h" should be before "mac/DOM/WebDOMOperationsPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:417:  Alphabetical sorting problem. "mac/DOM/DOMMediaError.h" should be before "mac/DOM/DOMTreeWalkerInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:418:  Alphabetical sorting problem. "mac/DOM/DOMHTMLScriptElement.h" should be before "mac/DOM/DOMMediaError.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:419:  Alphabetical sorting problem. "mac/DOM/DOMHTMLAnchorElement.h" should be before "mac/DOM/DOMHTMLScriptElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:421:  Alphabetical sorting problem. "mac/DOM/DOMAbstractViewInternal.h" should be before "mac/DOM/DOMHTMLInputElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:425:  Alphabetical sorting problem. "mac/DOM/DOMHTMLInputElementPrivate.h" should be before "mac/DOM/DOMHTMLTableColElementInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:426:  Alphabetical sorting problem. "mac/DOM/DOMHTML.h" should be before "mac/DOM/DOMHTMLInputElementPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:428:  Alphabetical sorting problem. "mac/DOM/DOMNodeIteratorInternal.h" should be before "mac/DOM/DOMProcessingInstruction.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:429:  Alphabetical sorting problem. "mac/DOM/DOMHTMLMarqueeElement.h" should be before "mac/DOM/DOMNodeIteratorInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:430:  Alphabetical sorting problem. "mac/DOM/DOMHTMLDocumentInternal.h" should be before "mac/DOM/DOMHTMLMarqueeElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:433:  Alphabetical sorting problem. "mac/DOM/DOMHTMLElementInternal.h" should be before "mac/DOM/DOMUIKitExtensions.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:435:  Alphabetical sorting problem. "mac/DOM/DOMOverflowEvent.h" should be before "mac/DOM/DOMText.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:436:  Alphabetical sorting problem. "mac/DOM/DOMAbstractViewFrame.h" should be before "mac/DOM/DOMOverflowEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:440:  Alphabetical sorting problem. "mac/DOM/DOMEntityReference.h" should be before "mac/DOM/DOMHTMLStyleElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:442:  Alphabetical sorting problem. "mac/DOM/DOMHTMLBaseElement.h" should be before "mac/DOM/WebDOMOperationsInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:444:  Alphabetical sorting problem. "mac/DOM/DOMEventInternal.h" should be before "mac/DOM/ObjCEventListener.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:445:  Alphabetical sorting problem. "mac/DOM/DOMCSSStyleDeclaration.h" should be before "mac/DOM/DOMEventInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:448:  Alphabetical sorting problem. "mac/DOM/DOMCSSStyleSheet.h" should be before "mac/DOM/DOMHTMLDListElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:450:  Alphabetical sorting problem. "mac/DOM/DOMHTMLHeadElementInternal.h" should be before "mac/DOM/DOMNamedNodeMap.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:452:  Alphabetical sorting problem. "mac/DOM/DOMTextEvent.h" should be before "mac/DOM/ExceptionHandlers.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:453:  Alphabetical sorting problem. "mac/DOM/DOMNodeInternal.h" should be before "mac/DOM/DOMTextEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:454:  Alphabetical sorting problem. "mac/DOM/DOMHTMLHtmlElement.h" should be before "mac/DOM/DOMNodeInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:456:  Alphabetical sorting problem. "mac/DOM/DOMHTMLOptionsCollectionInternal.h" should be before "mac/DOM/DOMImplementationInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:457:  Alphabetical sorting problem. "mac/DOM/DOMCSSPrimitiveValueInternal.h" should be before "mac/DOM/DOMHTMLOptionsCollectionInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:459:  Alphabetical sorting problem. "mac/DOM/DOMEventListener.h" should be before "mac/DOM/DOMHTMLTableCaptionElementInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:460:  Alphabetical sorting problem. "mac/DOM/DOMCounter.h" should be before "mac/DOM/DOMEventListener.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:464:  Alphabetical sorting problem. "mac/DOM/DOMHTMLAreaElementInternal.h" should be before "mac/DOM/WebAutocapitalizeTypes.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:465:  Alphabetical sorting problem. "mac/DOM/DOMAttr.h" should be before "mac/DOM/DOMHTMLAreaElementInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:467:  Alphabetical sorting problem. "mac/DOM/DOMTreeWalker.h" should be before "mac/DOM/DOMWheelEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:468:  Alphabetical sorting problem. "mac/DOM/DOMHTMLOptionElement.h" should be before "mac/DOM/DOMTreeWalker.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:469:  Alphabetical sorting problem. "mac/DOM/DOMDocumentType.h" should be before "mac/DOM/DOMHTMLOptionElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:473:  Alphabetical sorting problem. "mac/DOM/DOMCore.h" should be before "mac/DOM/DOMStyleSheetListInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:475:  Alphabetical sorting problem. "mac/DOM/DOMHTMLOptionsCollection.h" should be before "mac/DOM/DOMRGBColor.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:477:  Alphabetical sorting problem. "mac/DOM/DOMEvent.h" should be before "mac/DOM/DOMRectInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:479:  Alphabetical sorting problem. "mac/DOM/DOMTimeRanges.h" should be before "mac/DOM/DOMTokenListInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:480:  Alphabetical sorting problem. "mac/DOM/DOMHTMLTableCellElementInternal.h" should be before "mac/DOM/DOMTimeRanges.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:482:  Alphabetical sorting problem. "mac/DOM/DOMEventTarget.h" should be before "mac/DOM/DOMNode.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:483:  Alphabetical sorting problem. "mac/DOM/DOMAttrInternal.h" should be before "mac/DOM/DOMEventTarget.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:485:  Alphabetical sorting problem. "mac/DOM/DOMHTMLImageElement.h" should be before "mac/DOM/DOMHTMLTextAreaElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:487:  Alphabetical sorting problem. "mac/DOM/DOMHTMLLinkElementInternal.h" should be before "mac/DOM/DOMRGBColorInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:489:  Alphabetical sorting problem. "mac/DOM/DOMCommentInternal.h" should be before "mac/DOM/DOMUIEvent.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:492:  Alphabetical sorting problem. "mac/DOM/DOMHTMLLabelElement.h" should be before "mac/DOM/DOMHTMLTableElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:495:  Alphabetical sorting problem. "mac/DOM/DOMComment.h" should be before "mac/DOM/DOMMediaErrorInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:498:  Alphabetical sorting problem. "mac/DOM/DOMFileListInternal.h" should be before "mac/DOM/DOMXPathNSResolver.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:501:  Alphabetical sorting problem. "mac/DOM/DOMHTMLAreaElement.h" should be before "mac/DOM/DOMTextInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:503:  Alphabetical sorting problem. "mac/DOM/DOMCharacterData.h" should be before "mac/DOM/DOMRange.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:505:  Alphabetical sorting problem. "mac/DOM/DOMDocument.h" should be before "mac/DOM/DOMObject.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:507:  Alphabetical sorting problem. "mac/DOM/DOMHTMLAppletElement.h" should be before "mac/DOM/DOMHTMLFontElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:509:  Alphabetical sorting problem. "mac/DOM/DOMHTMLModElement.h" should be before "mac/DOM/DOMStyleSheetInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:510:  Alphabetical sorting problem. "mac/DOM/DOMHTMLMetaElement.h" should be before "mac/DOM/DOMHTMLModElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:511:  Alphabetical sorting problem. "mac/DOM/DOMCSSValue.h" should be before "mac/DOM/DOMHTMLMetaElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:512:  Alphabetical sorting problem. "mac/DOM/DOMBlob.h" should be before "mac/DOM/DOMCSSValue.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:515:  Alphabetical sorting problem. "mac/DOM/DOMHTMLTableSectionElementInternal.h" should be before "mac/DOM/DOMXPathException.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:516:  Alphabetical sorting problem. "mac/DOM/DOMCSSValueInternal.h" should be before "mac/DOM/DOMHTMLTableSectionElementInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:518:  Alphabetical sorting problem. "mac/DOM/DOMCustomXPathNSResolver.h" should be before "mac/DOM/DOMFile.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:520:  Alphabetical sorting problem. "mac/DOM/DOMHTMLInputElementInternal.h" should be before "mac/DOM/DOMHTMLPreElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:522:  Alphabetical sorting problem. "mac/DOM/DOMHTMLEmbedElement.h" should be before "mac/DOM/DOMHTMLQuoteElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:524:  Alphabetical sorting problem. "mac/DOM/DOMEntity.h" should be before "mac/DOM/DOMHTMLVideoElement.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:526:  Alphabetical sorting problem. "mac/DOM/DOMHTMLButtonElement.h" should be before "mac/DOM/DOMHTMLElementPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:530:  Alphabetical sorting problem. "mac/DefaultDelegates/WebDefaultContextMenuDelegate.h" should be before "mac/DefaultDelegates/WebDefaultUIDelegate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:534:  Alphabetical sorting problem. "mac/History/HistoryPropertyList.h" should be before "mac/History/WebHistoryItem.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:536:  Alphabetical sorting problem. "mac/History/BinaryPropertyList.h" should be before "mac/History/WebBackForwardList.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:538:  Alphabetical sorting problem. "mac/History/BackForwardList.h" should be before "mac/History/WebBackForwardListInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:542:  Alphabetical sorting problem. "mac/History/WebHistoryPrivate.h" should be before "mac/History/WebURLsWithTitles.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:543:  Alphabetical sorting problem. "mac/History/WebHistoryItemPrivate.h" should be before "mac/History/WebHistoryPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:544:  Alphabetical sorting problem. "mac/History/WebHistoryItemInternal.h" should be before "mac/History/WebHistoryItemPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:545:  Alphabetical sorting problem. "mac/History/WebHistoryInternal.h" should be before "mac/History/WebHistoryItemInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:548:  Alphabetical sorting problem. "mac/Misc/WebCache.h" should be before "mac/Misc/WebKitStatisticsPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:549:  Alphabetical sorting problem. "mac/Misc/NSURLDownloadSPI.h" should be before "mac/Misc/WebCache.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:551:  Alphabetical sorting problem. "mac/Misc/WebNSFileManagerExtras.h" should be before "mac/Misc/WebStringTruncator.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:553:  Alphabetical sorting problem. "mac/Misc/WebDownload.h" should be before "mac/Misc/WebNSWindowExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:556:  Alphabetical sorting problem. "mac/Misc/WebKitErrors.h" should be before "mac/Misc/WebNSObjectExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:558:  Alphabetical sorting problem. "mac/Misc/WebNSDictionaryExtras.h" should be before "mac/Misc/WebNSViewExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:561:  Alphabetical sorting problem. "mac/Misc/WebLocalizableStringsInternal.h" should be before "mac/Misc/WebSharingServicePickerController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:564:  Alphabetical sorting problem. "mac/Misc/WebNSEventExtras.h" should be before "mac/Misc/WebNSUserDefaultsExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:566:  Alphabetical sorting problem. "mac/Misc/WebIconDatabase.h" should be before "mac/Misc/WebNSURLExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:568:  Alphabetical sorting problem. "mac/Misc/WebKitLogging.h" should be before "mac/Misc/WebKitStatistics.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:570:  Alphabetical sorting problem. "mac/Misc/WebKitNSStringExtras.h" should be before "mac/Misc/WebQuotaManager.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:572:  Alphabetical sorting problem. "mac/Misc/WebNSImageExtras.h" should be before "mac/Misc/WebNSPrintOperationExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:573:  Alphabetical sorting problem. "mac/Misc/WebKitErrorsPrivate.h" should be before "mac/Misc/WebNSImageExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:575:  Alphabetical sorting problem. "mac/Misc/WebKitVersionChecks.h" should be before "mac/Misc/WebUserContentURLPattern.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:578:  Alphabetical sorting problem. "mac/Misc/WebCoreStatistics.h" should be before "mac/Misc/WebTypesInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:580:  Alphabetical sorting problem. "mac/Misc/WebElementDictionary.h" should be before "mac/Misc/WebNSDataExtras.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:585:  Alphabetical sorting problem. "mac/Panels/WebAuthenticationPanel.h" should be before "mac/Panels/WebPanelAuthenticationHandler.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:591:  Alphabetical sorting problem. "mac/Plugins/WebNetscapePluginEventHandlerCocoa.h" should be before "mac/Plugins/WebNetscapePluginView.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:593:  Alphabetical sorting problem. "mac/Plugins/WebBaseNetscapePluginView.h" should be before "mac/Plugins/WebNetscapePluginStream.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:595:  There should be exactly one empty line instead of 0 between "mac/Plugins/WebPluginController.h" and "mac/Plugins/Hosted/WebTextInputWindowController.h".  [list/emptyline] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:596:  Alphabetical sorting problem. "mac/Plugins/Hosted/NetscapePluginHostProxy.h" should be before "mac/Plugins/Hosted/WebTextInputWindowController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:598:  Alphabetical sorting problem. "mac/Plugins/Hosted/ProxyInstance.h" should be before "mac/Plugins/Hosted/ProxyRuntimeObject.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:599:  Alphabetical sorting problem. "mac/Plugins/Hosted/NetscapePluginHostManager.h" should be before "mac/Plugins/Hosted/ProxyInstance.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:601:  Alphabetical sorting problem. "mac/Plugins/Hosted/WebHostedNetscapePluginView.h" should be before "mac/Plugins/Hosted/WebKitPluginHostTypes.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:602:  Alphabetical sorting problem. "mac/Plugins/Hosted/HostedNetscapePluginStream.h" should be before "mac/Plugins/Hosted/WebHostedNetscapePluginView.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:604:  Alphabetical sorting problem. "mac/Plugins/WebPluginContainerCheck.h" should be before "mac/Plugins/Hosted/NetscapePluginInstanceProxy.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:605:  Alphabetical sorting problem. "mac/Plugins/WebPluginContainer.h" should be before "mac/Plugins/WebPluginContainerCheck.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:607:  Alphabetical sorting problem. "mac/Plugins/WebPluginPackage.h" should be before "mac/Plugins/WebPluginPackagePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:609:  Alphabetical sorting problem. "mac/Plugins/WebNetscapePluginEventHandler.h" should be before "mac/Plugins/WebPluginRequest.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:611:  Alphabetical sorting problem. "mac/Plugins/WebJavaPlugIn.h" should be before "mac/Plugins/WebPluginContainerPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:613:  Alphabetical sorting problem. "mac/Plugins/WebPluginDatabase.h" should be before "mac/Plugins/WebPluginViewFactory.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:614:  Alphabetical sorting problem. "mac/Plugins/WebNetscapePluginPackage.h" should be before "mac/Plugins/WebPluginDatabase.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:619:  Alphabetical sorting problem. "mac/Storage/WebDatabaseManagerInternal.h" should be before "mac/Storage/WebStorageTrackerClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:621:  Alphabetical sorting problem. "mac/Storage/WebDatabaseManagerClient.h" should be before "mac/Storage/WebStorageManagerInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:623:  Alphabetical sorting problem. "mac/Storage/WebDatabaseQuotaManager.h" should be before "mac/Storage/WebStorageManagerPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:627:  Alphabetical sorting problem. "mac/WebCoreSupport/WebCreateFragmentInternal.h" should be before "mac/WebCoreSupport/WebSecurityOriginPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:629:  Alphabetical sorting problem. "mac/WebCoreSupport/WebDragClient.h" should be before "mac/WebCoreSupport/WebProgressTrackerClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:630:  Alphabetical sorting problem. "mac/WebCoreSupport/WebChromeClient.h" should be before "mac/WebCoreSupport/WebDragClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:632:  Alphabetical sorting problem. "mac/WebCoreSupport/WebEditorClient.h" should be before "mac/WebCoreSupport/WebPluginInfoProvider.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:633:  Alphabetical sorting problem. "mac/WebCoreSupport/CorrectionPanel.h" should be before "mac/WebCoreSupport/WebEditorClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:635:  Alphabetical sorting problem. "mac/WebCoreSupport/WebSecurityOriginInternal.h" should be before "mac/WebCoreSupport/WebSwitchingGPUClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:638:  Alphabetical sorting problem. "mac/WebCoreSupport/WebApplicationCache.h" should be before "mac/WebCoreSupport/WebVisitedLinkStore.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:640:  Alphabetical sorting problem. "mac/WebCoreSupport/WebApplicationCacheQuotaManager.h" should be before "mac/WebCoreSupport/WebInspectorClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:642:  Alphabetical sorting problem. "mac/WebCoreSupport/SearchPopupMenuMac.h" should be before "mac/WebCoreSupport/WebContextMenuClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:645:  Alphabetical sorting problem. "mac/WebCoreSupport/WebApplicationCacheInternal.h" should be before "mac/WebCoreSupport/WebPaymentCoordinatorClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:647:  Alphabetical sorting problem. "mac/WebCoreSupport/WebGeolocationClient.h" should be before "mac/WebCoreSupport/WebPlatformStrategies.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:648:  Alphabetical sorting problem. "mac/WebCoreSupport/WebFrameNetworkingContext.h" should be before "mac/WebCoreSupport/WebGeolocationClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:649:  Alphabetical sorting problem. "mac/WebCoreSupport/PopupMenuMac.h" should be before "mac/WebCoreSupport/WebFrameNetworkingContext.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:652:  Alphabetical sorting problem. "mac/WebCoreSupport/WebCachedFramePlatformData.h" should be before "mac/WebCoreSupport/WebValidationMessageClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:655:  Alphabetical sorting problem. "mac/WebCoreSupport/WebKitFullScreenListener.h" should be before "mac/WebCoreSupport/WebNotificationClient.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:659:  Alphabetical sorting problem. "mac/WebInspector/WebNodeHighlightView.h" should be before "mac/WebInspector/WebNodeHighlighter.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:660:  Alphabetical sorting problem. "mac/WebInspector/WebNodeHighlight.h" should be before "mac/WebInspector/WebNodeHighlightView.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:663:  Alphabetical sorting problem. "mac/WebInspector/WebInspectorFrontend.h" should be before "mac/WebInspector/WebInspectorPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:668:  Alphabetical sorting problem. "mac/WebView/WebFullScreenController.h" should be before "mac/WebView/WebScriptWorld.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:669:  Alphabetical sorting problem. "mac/WebView/WebArchiveInternal.h" should be before "mac/WebView/WebFullScreenController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:673:  Alphabetical sorting problem. "mac/WebView/WebClipView.h" should be before "mac/WebView/WebResource.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:676:  Alphabetical sorting problem. "mac/WebView/WebScriptDebugDelegate.h" should be before "mac/WebView/WebVideoFullscreenController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:678:  Alphabetical sorting problem. "mac/WebView/WebArchive.h" should be before "mac/WebView/WebViewPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:681:  Alphabetical sorting problem. "mac/WebView/WebFormDelegate.h" should be before "mac/WebView/WebFrameLoadDelegatePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:683:  Alphabetical sorting problem. "mac/WebView/WebDeviceOrientationProvider.h" should be before "mac/WebView/WebPolicyDelegate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:685:  Alphabetical sorting problem. "mac/WebView/WebResourceLoadDelegatePrivate.h" should be before "mac/WebView/WebUIDelegate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:686:  Alphabetical sorting problem. "mac/WebView/WebPDFDocumentExtras.h" should be before "mac/WebView/WebResourceLoadDelegatePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:689:  Alphabetical sorting problem. "mac/WebView/WebJSPDFDoc.h" should be before "mac/WebView/WebResourceLoadDelegate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:691:  Alphabetical sorting problem. "mac/WebView/WebDeviceOrientation.h" should be before "mac/WebView/WebVideoFullscreenHUDWindowController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:693:  Alphabetical sorting problem. "mac/WebView/WebScriptDebugger.h" should be before "mac/WebView/WebUIDelegatePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:694:  Alphabetical sorting problem. "mac/WebView/WebDeviceOrientationProviderMockInternal.h" should be before "mac/WebView/WebScriptDebugger.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:697:  Alphabetical sorting problem. "mac/WebView/WebPolicyDelegatePrivate.h" should be before "mac/WebView/WebPreferencesPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:698:  Alphabetical sorting problem. "mac/WebView/WebGeolocationPosition.h" should be before "mac/WebView/WebPolicyDelegatePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:699:  Alphabetical sorting problem. "mac/WebView/WebEditingDelegatePrivate.h" should be before "mac/WebView/WebGeolocationPosition.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:701:  Alphabetical sorting problem. "mac/WebView/WebFrameViewPrivate.h" should be before "mac/WebView/WebScriptWorldInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:703:  Alphabetical sorting problem. "mac/WebView/WebHTMLRepresentationPrivate.h" should be before "mac/WebView/WebViewInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:705:  Alphabetical sorting problem. "mac/WebView/WebAllowDenyPolicyListener.h" should be before "mac/WebView/WebMediaPlaybackTargetPicker.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:708:  Alphabetical sorting problem. "mac/WebView/WebDataSourceInternal.h" should be before "mac/WebView/WebTextIterator.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:711:  Alphabetical sorting problem. "mac/WebView/WebFrameView.h" should be before "mac/WebView/WebView.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:713:  Alphabetical sorting problem. "mac/WebView/WebDelegateImplementationCaching.h" should be before "mac/WebView/WebTextCompletionController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:714:  Alphabetical sorting problem. "mac/WebView/WebDataSourcePrivate.h" should be before "mac/WebView/WebDelegateImplementationCaching.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:716:  Alphabetical sorting problem. "mac/WebView/WebDeviceOrientationProviderMock.h" should be before "mac/WebView/WebFramePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:719:  Alphabetical sorting problem. "mac/WebView/WebImmediateActionController.h" should be before "mac/WebView/WebViewData.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:720:  Alphabetical sorting problem. "mac/WebView/WebFrameInternal.h" should be before "mac/WebView/WebImmediateActionController.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:721:  Alphabetical sorting problem. "mac/WebView/WebDeviceOrientationInternal.h" should be before "mac/WebView/WebFrameInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:724:  Alphabetical sorting problem. "mac/WebView/WebFrameViewInternal.h" should be before "mac/WebView/WebPreferenceKeysPrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:725:  Alphabetical sorting problem. "mac/WebView/WebFormDelegatePrivate.h" should be before "mac/WebView/WebFrameViewInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:727:  Alphabetical sorting problem. "mac/WebView/PDFViewSPI.h" should be before "mac/WebView/WebNotification.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:729:  Alphabetical sorting problem. "mac/WebView/WebPreferences.h" should be before "mac/WebView/WebResourcePrivate.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:730:  Alphabetical sorting problem. "mac/WebView/WebEditingDelegate.h" should be before "mac/WebView/WebPreferences.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:733:  Alphabetical sorting problem. "mac
/WebView/WebDashboardRegion.h" should be before "mac/WebView/WebWindowAnimation.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:736:  Alphabetical sorting problem. "mac/WebView/WebHTMLRepresentation.h" should be before "mac/WebView/WebIndicateLayer.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:738:  Alphabetical sorting problem. "mac/WebView/WebDataSource.h" should be before "mac/WebView/WebHTMLViewInternal.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:740:  Alphabetical sorting problem. "mac/WebView/WebGeolocationPositionInternal.h" should be before "mac/WebView/WebPDFRepresentation.h".  [list/order] [5]
ERROR: Source/WebKitLegacy/PlatformMac.cmake:741:  Alphabetical sorting problem. "mac/WebView/WebDynamicScrollBarsViewInternal.h" should be before "mac/WebView/WebGeolocationPositionInternal.h".  [list/order] [5]
ERROR: Source/WebCore/PlatformMac.cmake:439:  Alphabetical sorting problem. "# FIXME: Move this file to a cocoa directory" should be before "editing/cocoa/HTMLConverter.h".  [list/order] [5]
ERROR: Source/WebCore/PlatformMac.cmake:440:  There should be exactly one empty line instead of 0 between "# FIXME: Move this file to a cocoa directory" and "editing/ios/AutofillElements.h".  [list/emptyline] [5]
ERROR: Source/WebKitLegacy/mac/Misc/WebElementDictionary.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Misc/WebElementDictionary.mm:38:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/DOM/DOMEvents.mm:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebInspector/WebInspector.mm:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebInspector/WebInspector.mm:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebFrameInternal.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 302 in 67 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Build Bot 2019-06-20 21:09:59 PDT
Comment on attachment 372610 [details]
Patch

Attachment 372610 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12537723

New failing tests:
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-dfg-eager-no-cjit-validate-phases
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-llint
apiTests
Comment 7 Alex Christensen 2019-07-09 15:24:11 PDT
Created attachment 373780 [details]
Patch
Comment 8 Build Bot 2019-07-09 15:29:43 PDT
Attachment 373780 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ios/WebItemProviderPasteboard.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Don Olmstead 2019-07-09 16:24:40 PDT
Comment on attachment 373780 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373780&action=review

> Source/JavaScriptCore/CMakeLists.txt:1310
> +add_dependencies(JavaScriptCore JavaScriptCore_CopyPrivateHeaders)

That's not correct. Why are you making this change?
Comment 10 Don Olmstead 2019-07-09 17:14:45 PDT
(In reply to Don Olmstead from comment #9)
> Comment on attachment 373780 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=373780&action=review
> 
> > Source/JavaScriptCore/CMakeLists.txt:1310
> > +add_dependencies(JavaScriptCore JavaScriptCore_CopyPrivateHeaders)
> 
> That's not correct. Why are you making this change?

Ok I just did a search in Source/WebCore for `#import <WebCore` and I see quite a few instances of it. I'm guessing this is why you did that change. Those should be fixed before proceeding.
Comment 11 Alex Christensen 2019-07-09 18:18:35 PDT
There was a time it didn't build, then I made that change, then it built.  Not sure why.  I'll revert that bit.
Comment 12 Alex Christensen 2019-07-09 18:19:05 PDT
Created attachment 373803 [details]
patch
Comment 13 Build Bot 2019-07-09 18:22:25 PDT
Attachment 373803 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ios/WebItemProviderPasteboard.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Don Olmstead 2019-07-10 11:42:25 PDT
(In reply to Alex Christensen from comment #11)
> There was a time it didn't build, then I made that change, then it built. 
> Not sure why.  I'll revert that bit.

By default every copied header goes into the same directory. So if you're not doing a clean build then it might have worked because of that. You might want to double check that it works with a fresh WebKitBuild directory.

Other option is to change the directories like WinCairo, https://github.com/WebKit/webkit/blob/master/Source/cmake/OptionsWinCairo.cmake#L45-L65 . Plan is to make those the default.
Comment 15 Don Olmstead 2019-07-10 11:43:18 PDT
Comment on attachment 373803 [details]
patch

r=me

Anyways you can make your decision on where to put headers and derived sources but I would recommend overriding it so things work more like an XCode build.
Comment 16 WebKit Commit Bot 2019-07-10 13:30:32 PDT
Comment on attachment 373803 [details]
patch

Clearing flags on attachment: 373803

Committed r247324: <https://trac.webkit.org/changeset/247324>
Comment 17 WebKit Commit Bot 2019-07-10 13:30:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Radar WebKit Bug Importer 2019-07-10 13:31:19 PDT
<rdar://problem/52909863>
Comment 19 Alex Christensen 2019-07-10 17:36:00 PDT
Yep, the JavaScriptCore_CopyPrivateHeaders change is indeed making Mac/ninja builds not work.  I'm not sure what a good solution is, but flipping it fixes the build for me so that's what I'm doing locally for now.